using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Playlist;

[YApiRequest(WebRequestMethods.Http.Post, "users/{uid}/playlists/{kind}/delete")]
public class YPlaylistRemoveBuilder : YRequestBuilder<HttpResponseMessage, string>
{
    public YPlaylistRemoveBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override Dictionary<string, string> GetSubstitutions(string kind)
    {
        return new Dictionary<string, string> {
            { "uid", storage.User.Uid },
            { "kind", kind }
        };
    }
}